Debian Bug report logs - #671364
dma package uses outdated (2 y/o) upstream dma version

version graph

Package: src:dma; Maintainer for src:dma is Arno Töll <arno@debian.org>;

Reported by: Dawid Wróbel <me@dawidwrobel.com>

Date: Thu, 3 May 2012 14:30:05 UTC

Severity: normal

Found in version dma/0.0.2010.06.17-6

Fixed in version dma/0.9-1

Done: Arno Töll <arno@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#671364; Package dma. (Thu, 03 May 2012 14:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dawid Wróbel <me@dawidwrobel.com>:
New Bug report received and forwarded. Copy sent to Peter Pentchev <roam@ringlet.net>. (Thu, 03 May 2012 14:30:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dawid Wróbel <me@dawidwrobel.com>
To: submit@bugs.debian.org
Subject: dma package uses outdated (2 y/o) upstream dma version
Date: Thu, 3 May 2012 16:27:15 +0200
Package: dma
Version: 0.0.2010.06.17-6

The dma is actively developed and is now at 0.8 version [1]. Is there
any reason why debian package uses the outdated version from 2010? I
assume this may be because the sources were originally available at
http://devel.ringlet.net/mail/dma/, where 2010.06.17 is indeed the
newest version available, but the development has ever since moved to
https://github.com/corecode/dma and is now at 0.8 version released a
month ago. I would be happy to see the dma package updated to newest
version available since the up-to-date version has some nice new
features, like catch-all support for recipients.




Information forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#671364; Package dma. (Mon, 10 Sep 2012 21:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <arno@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter Pentchev <roam@ringlet.net>. (Mon, 10 Sep 2012 21:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 671364@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: Simon Schubert <2@0x2c.org>, 671364@bugs.debian.org
Subject: Re: dma package uses outdated (2 y/o) upstream dma version
Date: Mon, 10 Sep 2012 23:41:27 +0200
[Message part 1 (text/plain, inline)]
Hi Simon and Peter,

could you please enlighten us a bit regarding the state of dma in
Debian. Looks like, Peter actively maintains it (at least for some bugs)
but does not seem to be interested to upgrade the Debian package to a
new version. This is, at least, how it looks, given you didn't upgrade
it in over two years, while Simon keeps releasing new versions in github.

On the other hand there seems to be some patch exchange between you two,
and the Debian package carries lots of patches which seem to have ended
up upstream as well.

That said, I am not sure what you two consider upstream:

* http://devel.ringlet.net/mail/dma/
* https://github.com/corecode/dma
* https://gitorious.org/dma

To me it looks like Peter maintains a private set of patches to dma as
of 2010, which diverged to Simon's branch.

Could you please tell us, what's going on here? As it looks to me, the
situation regarding Debian does not look ideal.


-- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#671364; Package dma. (Mon, 10 Sep 2012 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Schubert <2@0x2c.org>:
Extra info received and forwarded to list. Copy sent to Peter Pentchev <roam@ringlet.net>. (Mon, 10 Sep 2012 22:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 671364@bugs.debian.org (full text, mbox):

From: Simon Schubert <2@0x2c.org>
To: Arno Töll <arno@debian.org>
Cc: 671364@bugs.debian.org
Subject: Re: dma package uses outdated (2 y/o) upstream dma version
Date: Tue, 11 Sep 2012 00:45:27 +0200
[Message part 1 (text/plain, inline)]
Hi Arno,

On 09/10/12 23:41, Arno Töll wrote:
> Hi Simon and Peter,
>
> could you please enlighten us a bit regarding the state of dma in
> Debian. Looks like, Peter actively maintains it (at least for some bugs)
> but does not seem to be interested to upgrade the Debian package to a
> new version. This is, at least, how it looks, given you didn't upgrade
> it in over two years, while Simon keeps releasing new versions in github.

Yes, that's an unfortunate situation.

> On the other hand there seems to be some patch exchange between you two,
> and the Debian package carries lots of patches which seem to have ended
> up upstream as well.

I have integrated all patches that I thought would benefit dma.  The
remaining patches added too much complexity in my eyes.

> That said, I am not sure what you two consider upstream:

> * https://github.com/corecode/dma

This is upstream.

> * https://gitorious.org/dma

This is an old repo, and unfortunately, due to limitations of gitorious,
I can also not remove it.

> To me it looks like Peter maintains a private set of patches to dma as
> of 2010, which diverged to Simon's branch.
>
> Could you please tell us, what's going on here? As it looks to me, the
> situation regarding Debian does not look ideal.

For more than two years I've been trying to talk to Peter to get the
Debian package updated, but did not receive any answer so far.  Out of
desperation I started maintaining my own debian/ directory at some
point, in the hope that Peter would have it easier to update the package.

I am extremely disappointed with the current situation, but I don't know
how to fix this issue.  Maybe somebody in Debian could take over
maintenance of the package?

Thanks for checking in,
  simon


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#671364; Package dma. (Tue, 11 Sep 2012 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <arno@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter Pentchev <roam@ringlet.net>. (Tue, 11 Sep 2012 13:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 671364@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: Simon Schubert <2@0x2c.org>
Cc: 671364@bugs.debian.org
Subject: Re: dma package uses outdated (2 y/o) upstream dma version
Date: Tue, 11 Sep 2012 15:53:51 +0200
[Message part 1 (text/plain, inline)]
Hi,

On 11.09.2012 00:45, Simon Schubert wrote:
> For more than two years I've been trying to talk to Peter to get the
> Debian package updated, but did not receive any answer so far.  Out of
> desperation I started maintaining my own debian/ directory at some
> point, in the hope that Peter would have it easier to update the package.

This sounds like an unfortunate state, indeed. Peter, could you please
elaborate your rationale to maintain your own set of patches to dma
specific to Debian, which might considered to effectively be a fork
instead of upgrading upstream releases?

> I am extremely disappointed with the current situation, but I don't know
> how to fix this issue.  Maybe somebody in Debian could take over
> maintenance of the package?

I understand your frustration, but as a peer-driven community, we have
limited possibilities to overrule a package maintainer. This can be
done, but if so it must be considered as a very last step.

Maybe, for now, let's try to work out everyone's arguments and positions.


-- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#671364; Package dma. (Tue, 11 Sep 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Schubert <2@0x2c.org>:
Extra info received and forwarded to list. Copy sent to Peter Pentchev <roam@ringlet.net>. (Tue, 11 Sep 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 671364@bugs.debian.org (full text, mbox):

From: Simon Schubert <2@0x2c.org>
To: Arno Töll <arno@debian.org>
Cc: 671364@bugs.debian.org
Subject: Re: dma package uses outdated (2 y/o) upstream dma version
Date: Tue, 11 Sep 2012 16:50:24 +0200
[Message part 1 (text/plain, inline)]
On 09/11/12 15:53, Arno Töll wrote:
>> I am extremely disappointed with the current situation, but I don't know
>> how to fix this issue.  Maybe somebody in Debian could take over
>> maintenance of the package?
> I understand your frustration, but as a peer-driven community, we have
> limited possibilities to overrule a package maintainer. This can be
> done, but if so it must be considered as a very last step.
>
> Maybe, for now, let's try to work out everyone's arguments and positions.

I agree.  Could we however put a time limit on this discussion?  Is a
month reasonable?

cheers
  simon


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#671364; Package dma. (Tue, 11 Sep 2012 15:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <arno@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter Pentchev <roam@ringlet.net>. (Tue, 11 Sep 2012 15:03:09 GMT) Full text and rfc822 format available.

Message #30 received at 671364@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: Simon Schubert <2@0x2c.org>
Cc: 671364@bugs.debian.org
Subject: Re: dma package uses outdated (2 y/o) upstream dma version
Date: Tue, 11 Sep 2012 16:59:13 +0200
[Message part 1 (text/plain, inline)]
Hi,

On 11.09.2012 16:50, Simon Schubert wrote:
>> Maybe, for now, let's try to work out everyone's arguments and positions.
> 
> I agree.  Could we however put a time limit on this discussion?  Is a
> month reasonable?

the good thing (or bad thing, depending on your point of view) is, that
Debian is currently frozen in preparation of the upcoming Wheezy
release. This means, no new packages or package version will enter
Testing. That would also hold true for any new version of your software
if it were uploaded as of today.

That leaves us in a situation of no constrained time pressure. That
said, I am not entirely sure what you mean to achieve within a month. I
think we do not want to delay any concrete outcome forever. That might
not be of interest to anyone involved here.

-- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#671364; Package dma. (Wed, 12 Sep 2012 09:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Pentchev <roam@ringlet.net>:
Extra info received and forwarded to list. (Wed, 12 Sep 2012 09:21:09 GMT) Full text and rfc822 format available.

Message #35 received at 671364@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: Arno Töll <arno@debian.org>, 671364@bugs.debian.org
Cc: Simon Schubert <2@0x2c.org>
Subject: Re: Bug#671364: dma package uses outdated (2 y/o) upstream dma version
Date: Wed, 12 Sep 2012 12:08:19 +0300
[Message part 1 (text/plain, inline)]
On Tue, Sep 11, 2012 at 03:53:51PM +0200, Arno Töll wrote:
> Hi,
> 
> On 11.09.2012 00:45, Simon Schubert wrote:
> > For more than two years I've been trying to talk to Peter to get the
> > Debian package updated, but did not receive any answer so far.  Out of
> > desperation I started maintaining my own debian/ directory at some
> > point, in the hope that Peter would have it easier to update the package.
> 
> This sounds like an unfortunate state, indeed. Peter, could you please
> elaborate your rationale to maintain your own set of patches to dma
> specific to Debian, which might considered to effectively be a fork
> instead of upgrading upstream releases?
> 
> > I am extremely disappointed with the current situation, but I don't know
> > how to fix this issue.  Maybe somebody in Debian could take over
> > maintenance of the package?
> 
> I understand your frustration, but as a peer-driven community, we have
> limited possibilities to overrule a package maintainer. This can be
> done, but if so it must be considered as a very last step.
> 
> Maybe, for now, let's try to work out everyone's arguments and positions.

Hi,

Sorry about this... again (as I have indeed apologized to Simon about
this situation in the past).  The truth is, I've been meaning to update
dma earlier this year, but a very high-pressure work project took up all
of my energy and left me with no free time to speak of from last October
till mid-August.

In the past week I have tried to pick up my Debian work and, yes, I will
indeed try to update dma to a (much, much) more recent upstream version
very soon.

Apologies again, and thanks for the patience to you both (and anyone
else who might be listening in)!

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net roam@FreeBSD.org peter@packetscale.com
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint	FDBA FD79 C26F 3C51 C95E  DF9E ED18 B68D 1619 4553
When you are not looking at it, this sentence is in Spanish.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#671364; Package dma. (Sun, 23 Sep 2012 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <arno@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter Pentchev <roam@ringlet.net>. (Sun, 23 Sep 2012 12:18:03 GMT) Full text and rfc822 format available.

Message #40 received at 671364@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: Peter Pentchev <roam@ringlet.net>
Cc: 671364@bugs.debian.org, Simon Schubert <2@0x2c.org>
Subject: Re: Bug#671364: dma package uses outdated (2 y/o) upstream dma version
Date: Sun, 23 Sep 2012 14:15:02 +0200
[Message part 1 (text/plain, inline)]
Hi,

On 12.09.2012 11:08, Peter Pentchev wrote:
> In the past week I have tried to pick up my Debian work and, yes, I will
> indeed try to update dma to a (much, much) more recent upstream version
> very soon.

that sounds good. Do you have a rough estimate when you will find time
to synchronize the Debian package with upstream? As it looks to me, you
two also disagree about the usefulness of some patches. Is there a
roadmap what to do with them?

Note, from my - ignorant - position it is almost always suboptimal to
carry invasive non-mergeable patches in the long term.

Given Simon also provides Debian packages, would you be interested in
team maintenance together with him (pretending he's interested)? Maybe
you could even join dma development upstream and decide there about
patches and features? That would be ideal.

If you both are interested, I am also offering my help with respect to
the package maintenance. That said, I am not in the position or
interested to decide about the usefulness of patches in cases where you
two disagree.

> Apologies again, and thanks for the patience to you both (and anyone
> else who might be listening in)!

Thanks, as for me there is no need to, though. I just stumbled into this
bug as a dma user. :)

-- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#671364; Package dma. (Sun, 23 Sep 2012 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Schubert <2@0x2c.org>:
Extra info received and forwarded to list. Copy sent to Peter Pentchev <roam@ringlet.net>. (Sun, 23 Sep 2012 16:00:03 GMT) Full text and rfc822 format available.

Message #45 received at 671364@bugs.debian.org (full text, mbox):

From: Simon Schubert <2@0x2c.org>
To: Arno Töll <arno@debian.org>
Cc: Peter Pentchev <roam@ringlet.net>, 671364@bugs.debian.org
Subject: Re: Bug#671364: dma package uses outdated (2 y/o) upstream dma version
Date: Sun, 23 Sep 2012 17:57:30 +0200
[Message part 1 (text/plain, inline)]
Hi Peter, hi Arno,

On 09/23/12 14:15, Arno Töll wrote:
> Hi,
>
> On 12.09.2012 11:08, Peter Pentchev wrote:
>> In the past week I have tried to pick up my Debian work and, yes, I will
>> indeed try to update dma to a (much, much) more recent upstream version
>> very soon.
> that sounds good. Do you have a rough estimate when you will find time
> to synchronize the Debian package with upstream? As it looks to me, you
> two also disagree about the usefulness of some patches. Is there a
> roadmap what to do with them?
>
> Note, from my - ignorant - position it is almost always suboptimal to
> carry invasive non-mergeable patches in the long term.
>
> Given Simon also provides Debian packages, would you be interested in
> team maintenance together with him (pretending he's interested)? Maybe
> you could even join dma development upstream and decide there about
> patches and features? That would be ideal.

It's great to hear that Peter is still alive and interested in dma! :)

I always welcome collaboration on my projects.  Everybody is sincerely
invited to discuss and contribute.

It has come to my attention that dma might (very might) be a candidate
for the future default debian MTA.  I hope to get dma into a shape where
it can be seriously considered in such a role, no matter what will be
decided in the end.  Any discussion or code contribution toward this end
is highly appreciated.

> If you both are interested, I am also offering my help with respect to
> the package maintenance. That said, I am not in the position or
> interested to decide about the usefulness of patches in cases where you
> two disagree.

Thanks for your offer, I appreciate every help offered!  I don't know
anything about maintaining Debian packages, so I can't comment on how
feasible this would be.

cheers
  simon


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#671364; Package dma. (Tue, 12 Mar 2013 19:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <arno@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter Pentchev <roam@ringlet.net>. (Tue, 12 Mar 2013 19:15:06 GMT) Full text and rfc822 format available.

Message #50 received at 671364@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: Peter Pentchev <roam@ringlet.net>
Cc: 671364@bugs.debian.org, Simon Schubert <2@0x2c.org>
Subject: Re: Bug#671364: dma package uses outdated (2 y/o) upstream dma version
Date: Tue, 12 Mar 2013 20:12:24 +0100
[Message part 1 (text/plain, inline)]
Peter,

On 12.09.2012 11:08, Peter Pentchev wrote:
> In the past week I have tried to pick up my Debian work and, yes, I will
> indeed try to update dma to a (much, much) more recent upstream version
> very soon.

are there any news on that? dma has a recent history of RC bugs, one
being NMUed and the other one left - #697871 - leaving dma unsuitable
for a release. In fact, since you didn't care dma was removed from
Debian Testing and Wheezy will be consequently without dma at all.


-- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#671364; Package dma. (Wed, 22 May 2013 22:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter Pentchev <roam@ringlet.net>. (Wed, 22 May 2013 22:03:08 GMT) Full text and rfc822 format available.

Message #55 received at 671364@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Peter Pentchev <roam@ringlet.net>
Cc: 671364@bugs.debian.org, Simon Schubert <2@0x2c.org>, Arno Töll <arno@debian.org>
Subject: Re: Bug#671364: dma package uses outdated (2 y/o) upstream dma version
Date: Wed, 22 May 2013 23:49:45 +0200
Hello,

I hope everything is OK on your side.

As you probably know, Debian Wheezy has been released and this means
that the freeze is now over.

So this is maybe a good time to resume the discussion.

Peter are you planning to resume your work on dma? If you don't have
the time maybe you should ask for some help?

An other thing to consider are the patches that have not been merged
upstream. It would be interesting to know your position about them. Are
you considering this package as a fork? If it's the case, maybe we
could make both your fork and dma live into the archive in different
packages? This would help to clarify the situation.

Kind regards

Laurent Bigonville



Information forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#671364; Package dma. (Sun, 23 Jun 2013 11:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter Pentchev <roam@ringlet.net>. (Sun, 23 Jun 2013 11:42:05 GMT) Full text and rfc822 format available.

Message #60 received at 671364@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 671364@bugs.debian.org
Cc: Arno Töll <arno@debian.org>, Simon Schubert <2@0x2c.org>
Subject: Please decide on dma maintenance
Date: Sun, 23 Jun 2013 13:39:09 +0200
reassign 671364 tech-ctte
retitle 671364 Please decide on dma maintenance
affects 671364 dma
thanks

Dear Technical Committee, 

by Debian Constitution §§6.1.3 - 6.1.5 we ask you on advice and
possibly to overrule a maintainer in case of the maintenance for the
dma package. Our rationale follows:

* The package in Debian is outdated and has a recent history of release
  critical bugs (#697871, #688682). None of these were fixed by the
  maintainer, and the maintainer generally seems absent while not
  completely unreachable. Therefore there is no reason to assume, the
  package was orphaned. As a result, the package missed the Wheezy
  release. 

* The Debian maintainer de-facto forked the package by introducing
  heavy weight patches diverging from upstream making it hard and
  complicated to keep in track with upstream's releases. We suppose
  this is also known to the dma maintainer in Debian, as he points to
  his private home page [1] in the control file of the package, instead
  of the official one [2]. This confuses users and frustrates upstream,
  as he is getting bug reports for tools and behavior which are
  specific to Debian. Upstream has, on his own, merged parts of the
  patches he thought would benefit dma, while stating that the
  remaining ones would, in his eyes, add too much complexity. According
  to him, upsteam also tried several times to reach Peter to resolve
  the situation, just as did Arno, without getting any reaction beyond
  promises so far. We do not intend to judge about the quality of the
  work of the "fork", but we cannot address issues of dma within
  Debian, without conflicting with the maintainer's jurisdictions as we
  cannot and do not intend to effectively become upstream for the
  "Debian dma" package.

* As a side note, dma is seen by some people as a valid alternative[3]
  to replace exim in the default installation. This might require a
  mutually beneficial effort to both, Debian and upstream  to make the
  package a suitable candidate. 


Therefore, we ask the Technical Committee to resolve the situation on
the dma maintenance in Debian. We suggest to overrule the maintainer
and acknowledge he effectively forked dma, and give maintenance to
whomever else the TC considers best suited for the purpose of
re-introducing the pristine dma code base. Moreover, we suggest to
rename the "Debian dma" package when the current maintainer feels
necessary and upload it again under a different name.


Laurent Bigonville and Arno Töll

[1] http://devel.ringlet.net/mail/dma/
[2] https://github.com/corecode/dma
[3] http://wiki.debian.org/Debate/DefaultMTA/DMA



Bug reassigned from package 'dma' to 'tech-ctte'. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Sun, 23 Jun 2013 11:42:08 GMT) Full text and rfc822 format available.

No longer marked as found in versions dma/0.0.2010.06.17-6. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Sun, 23 Jun 2013 11:42:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'Please decide on dma maintenance' from 'dma package uses outdated (2 y/o) upstream dma version' Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Sun, 23 Jun 2013 11:42:09 GMT) Full text and rfc822 format available.

Added indication that 671364 affects dma Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Sun, 23 Jun 2013 11:42:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#671364; Package tech-ctte. (Sun, 23 Jun 2013 18:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 23 Jun 2013 18:36:09 GMT) Full text and rfc822 format available.

Message #73 received at 671364@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Laurent Bigonville <bigon@debian.org>
Cc: 671364@bugs.debian.org, Arno Töll <arno@debian.org>, Simon Schubert <2@0x2c.org>, Peter Pentchev <roam@ringlet.net>
Subject: Re: Bug#671364: Please decide on dma maintenance
Date: Sun, 23 Jun 2013 11:33:36 -0700
Laurent Bigonville <bigon@debian.org> writes:

> by Debian Constitution §§6.1.3 - 6.1.5 we ask you on advice and
> possibly to overrule a maintainer in case of the maintenance for the
> dma package. Our rationale follows:

> * The package in Debian is outdated and has a recent history of release
>   critical bugs (#697871, #688682). None of these were fixed by the
>   maintainer, and the maintainer generally seems absent while not
>   completely unreachable. Therefore there is no reason to assume, the
>   package was orphaned. As a result, the package missed the Wheezy
>   release. 

Based on the prior discussion in this bug, it looks like this is just a
case of an overwhelmed maintainer who hasn't had time to work on Debian.

Peter, it looks like, despite the best of intentions, you've not had a
chance to maintain this package for a while (and indeed have not had a
whole lot of time for Debian packaging for a while).  I know this is a
hard thing to do, since it always feels like you'll have plenty of time
next month, but have you considered trying to shed your load a little and
put packages up for adoption or at least comaintenance?

It sounds like there are interested people who are eager to help with dma,
This might be a good opportunity to take a few things off your plate (and
get rid of some of the psychic weight that I know comes with having lots
of things pending that you don't have time to work on).

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#671364; Package tech-ctte. (Mon, 24 Jun 2013 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 24 Jun 2013 09:33:04 GMT) Full text and rfc822 format available.

Message #78 received at 671364@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Russ Allbery <rra@debian.org>, 671364@bugs.debian.org
Cc: Laurent Bigonville <bigon@debian.org>, Arno Töll <arno@debian.org>, Simon Schubert <2@0x2c.org>, Peter Pentchev <roam@ringlet.net>, Laszlo Boszormenyi <gcs@debian.org>
Subject: Re: Bug#671364: Please decide on dma maintenance
Date: Mon, 24 Jun 2013 11:28:57 +0200
Hi,

On Sun, 23 Jun 2013, Russ Allbery wrote:
> Based on the prior discussion in this bug, it looks like this is just a
> case of an overwhelmed maintainer who hasn't had time to work on Debian.

And who apparently fails to acknowledge it. Peter recently packaged
libwebsockets (as a response to an RFP of mine) and I sponsored him. He
did a lot of work in a burst and then dissapeared for weeks/months without
replying to open questions.

If he knew that he was already doing a bad job with dma, it's sad that he
spent his available time on packaging something new for which we already
had someone else willing to work on it.

In the case of libwebsockets, we had Laszlo Boszormenyi also interested
who acted as backup maintainer in the mean time.

In any case, I believe that someone willing to help maintain dma, should
just do the work and add himself as co-maintainer. We have had no signs
that Peter would be opposed to that.

> whole lot of time for Debian packaging for a while).  I know this is a
> hard thing to do, since it always feels like you'll have plenty of time
> next month, but have you considered trying to shed your load a little and
> put packages up for adoption or at least comaintenance?

+1

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Liberate the French translation of the Debian Administrator's Handbook:
→ http://www.ulule.com/liberation-cahier-admin-debian/



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#671364; Package tech-ctte. (Mon, 24 Jun 2013 10:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Pentchev <roam@ringlet.net>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 24 Jun 2013 10:12:08 GMT) Full text and rfc822 format available.

Message #83 received at 671364@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Russ Allbery <rra@debian.org>, 671364@bugs.debian.org, Laurent Bigonville <bigon@debian.org>, Arno Töll <arno@debian.org>, Simon Schubert <2@0x2c.org>, Laszlo Boszormenyi <gcs@debian.org>
Subject: Re: Bug#671364: Please decide on dma maintenance
Date: Mon, 24 Jun 2013 13:00:17 +0300
[Message part 1 (text/plain, inline)]
On Mon, Jun 24, 2013 at 11:28:57AM +0200, Raphael Hertzog wrote:
> Hi,
> 
> On Sun, 23 Jun 2013, Russ Allbery wrote:
> > Based on the prior discussion in this bug, it looks like this is just a
> > case of an overwhelmed maintainer who hasn't had time to work on Debian.
> 
> And who apparently fails to acknowledge it. Peter recently packaged
> libwebsockets (as a response to an RFP of mine) and I sponsored him. He
> did a lot of work in a burst and then dissapeared for weeks/months without
> replying to open questions.
> 
> If he knew that he was already doing a bad job with dma, it's sad that he
> spent his available time on packaging something new for which we already
> had someone else willing to work on it.
> 
> In the case of libwebsockets, we had Laszlo Boszormenyi also interested
> who acted as backup maintainer in the mean time.
> 
> In any case, I believe that someone willing to help maintain dma, should
> just do the work and add himself as co-maintainer. We have had no signs
> that Peter would be opposed to that.
> 
> > whole lot of time for Debian packaging for a while).  I know this is a
> > hard thing to do, since it always feels like you'll have plenty of time
> > next month, but have you considered trying to shed your load a little and
> > put packages up for adoption or at least comaintenance?
> 
> +1

Hi everyone,

Well, the truth is that I am indeed guilty of letting the dma packaging
work slide too far.  Last night I thought about this, and today I was
going to write the following even before I saw Russ's and Raphael's
well-deserved responses (yes, I do realize that my words would have come
out better if I'd actually written them before these e-mails).

It turns out that, indeed, I have not found enough time to devote to the
maintainership of this package for quite some time now.  I will cede
maintainership to whomever desires it - my packaging work is available
at a Gitorious repository and, of course, it may be migrated to
collab-maint or something similar - unless the new maintainer desires to
start from scratch with the packaging of a newer version of dma based on
upstream's code.  I will only be glad to see this, IMHO important, mail
transfer agent gain even broader adoption.

I am truly sorry that this issue had to come to the CTTE's attention.
I apologize to everyone involved, everyone who bugged me over the past
two years, and everyone who came to learn about this issue through this
bug.  Yes, I know that the CTTE's purpose is not really to be a loud
wake-up call, it shouldn't have come to this.

Thanks again to everyone for the understanding, and sorry it had to come
to this!

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net roam@FreeBSD.org p.penchev@storpool.com
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint 2EE7 A7A5 17FC 124C F115  C354 651E EFB0 2527 DF13
If wishes were fishes, the antecedent of this conditional would be true.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#671364; Package tech-ctte. (Mon, 24 Jun 2013 11:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Schubert <2@0x2c.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 24 Jun 2013 11:03:05 GMT) Full text and rfc822 format available.

Message #88 received at 671364@bugs.debian.org (full text, mbox):

From: Simon Schubert <2@0x2c.org>
To: Peter Pentchev <roam@ringlet.net>
Cc: Raphael Hertzog <hertzog@debian.org>, Russ Allbery <rra@debian.org>, 671364@bugs.debian.org, Laurent Bigonville <bigon@debian.org>, Arno Töll <arno@debian.org>, Laszlo Boszormenyi <gcs@debian.org>
Subject: Re: Bug#671364: Please decide on dma maintenance
Date: Mon, 24 Jun 2013 12:51:31 +0200
[Message part 1 (text/plain, inline)]
On 06/24/2013 12:00 PM, Peter Pentchev wrote:
> my packaging work is available
> at a Gitorious repository and, of course, it may be migrated to
> collab-maint or something similar - unless the new maintainer desires to
> start from scratch with the packaging of a newer version of dma based on
> upstream's code.

I hope the package will be maintained close to upstrem (me).  I'm no
Debian maintainer, nor do I desire to become one, but I'd love to work
closely with whoever will maintain it.

cheers
  simon


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#671364; Package tech-ctte. (Mon, 24 Jun 2013 18:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 24 Jun 2013 18:09:04 GMT) Full text and rfc822 format available.

Message #93 received at 671364@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 671364@bugs.debian.org
Cc: Russ Allbery <rra@debian.org>, Laurent Bigonville <bigon@debian.org>, Arno Töll <arno@debian.org>, Simon Schubert <2@0x2c.org>, Peter Pentchev <roam@ringlet.net>, Laszlo Boszormenyi <gcs@debian.org>
Subject: Re: Bug#671364: Please decide on dma maintenance
Date: Mon, 24 Jun 2013 11:03:57 -0700
[Message part 1 (text/plain, inline)]
On Mon, Jun 24, 2013 at 11:28:57AM +0200, Raphael Hertzog wrote:
> In any case, I believe that someone willing to help maintain dma, should
> just do the work and add himself as co-maintainer. We have had no signs
> that Peter would be opposed to that.

Absolutely not.  "Co-maintainer" implies a relationship that cannot exist
unless the other party gives signs that they've *agreed* to it.

Someone can take over the package as the *sole* maintainer while making it
clear that they would be happy to be a co-maintainer for the original
maintainer once they become active again; but adding oneself as a
comaintainer without *explicit* consent is a sleazy bypass of our normal
(QA, TC) processes for changing a package's maintainership.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#671364; Package tech-ctte. (Mon, 24 Jun 2013 18:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 24 Jun 2013 18:15:04 GMT) Full text and rfc822 format available.

Message #98 received at 671364@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Peter Pentchev <roam@ringlet.net>, 671364@bugs.debian.org
Cc: Raphael Hertzog <hertzog@debian.org>, Russ Allbery <rra@debian.org>, Laurent Bigonville <bigon@debian.org>, Arno Töll <arno@debian.org>, Simon Schubert <2@0x2c.org>, Laszlo Boszormenyi <gcs@debian.org>
Subject: Re: Bug#671364: Please decide on dma maintenance
Date: Mon, 24 Jun 2013 11:12:02 -0700
[Message part 1 (text/plain, inline)]
Hi Peter,

On Mon, Jun 24, 2013 at 01:00:17PM +0300, Peter Pentchev wrote:
> > On Sun, 23 Jun 2013, Russ Allbery wrote:
> > > Based on the prior discussion in this bug, it looks like this is just a
> > > case of an overwhelmed maintainer who hasn't had time to work on Debian.

> Well, the truth is that I am indeed guilty of letting the dma packaging
> work slide too far.  Last night I thought about this, and today I was
> going to write the following even before I saw Russ's and Raphael's
> well-deserved responses (yes, I do realize that my words would have come
> out better if I'd actually written them before these e-mails).

> It turns out that, indeed, I have not found enough time to devote to the
> maintainership of this package for quite some time now.  I will cede
> maintainership to whomever desires it - my packaging work is available
> at a Gitorious repository and, of course, it may be migrated to
> collab-maint or something similar - unless the new maintainer desires to
> start from scratch with the packaging of a newer version of dma based on
> upstream's code.  I will only be glad to see this, IMHO important, mail
> transfer agent gain even broader adoption.

> I am truly sorry that this issue had to come to the CTTE's attention.
> I apologize to everyone involved, everyone who bugged me over the past
> two years, and everyone who came to learn about this issue through this
> bug.  Yes, I know that the CTTE's purpose is not really to be a loud
> wake-up call, it shouldn't have come to this.

> Thanks again to everyone for the understanding, and sorry it had to come
> to this!

I commend you for your grace in responding to this issue.  It's not easy to
admit that we've bitten off more than we can chew, and even if it did get
brought to the TC, it seems that this bug can be resolved amicably,
consensually and with no need for a TC vote.

Arno, Laurent: are either or both of you willing to take over the package as
maintainers?  Should we close this bug report directly, or should it be
reassigned to wnpp as a RFA: or O: bug?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'tech-ctte' to 'src:dma'. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 24 Jun 2013 20:15:04 GMT) Full text and rfc822 format available.

Marked as found in versions dma/0.0.2010.06.17-6. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 24 Jun 2013 20:15:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'dma package uses outdated (2 y/o) upstream dma version' from 'Please decide on dma maintenance' Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 24 Jun 2013 20:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#671364; Package src:dma. (Tue, 25 Jun 2013 04:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to László Böszörményi (GCS) <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter Pentchev <roam@ringlet.net>. (Tue, 25 Jun 2013 04:03:04 GMT) Full text and rfc822 format available.

Message #109 received at 671364@bugs.debian.org (full text, mbox):

From: László Böszörményi (GCS) <gcs@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: Peter Pentchev <roam@ringlet.net>, 671364@bugs.debian.org, Raphael Hertzog <hertzog@debian.org>, Russ Allbery <rra@debian.org>, Laurent Bigonville <bigon@debian.org>, Arno Töll <arno@debian.org>, Simon Schubert <2@0x2c.org>, Laszlo Boszormenyi <gcs@debian.org>
Subject: Re: Bug#671364: Please decide on dma maintenance
Date: Tue, 25 Jun 2013 05:57:50 +0200
Hi Steve, Peter,

On Mon, Jun 24, 2013 at 8:12 PM, Steve Langasek <vorlon@debian.org> wrote:
> On Mon, Jun 24, 2013 at 01:00:17PM +0300, Peter Pentchev wrote:
> > It turns out that, indeed, I have not found enough time to devote to the
> > maintainership of this package for quite some time now.  I will cede
> > maintainership to whomever desires it - my packaging work is available
> > at a Gitorious repository and, of course, it may be migrated to
> > collab-maint or something similar - unless the new maintainer desires to
> > start from scratch with the packaging of a newer version of dma based on
> > upstream's code.  I will only be glad to see this, IMHO important, mail
> > transfer agent gain even broader adoption.
 Is there any newer version of dma? For me dma seems to be abandoned
by upstream; at least last release was three years ago. The package
has 32 patches applied over the original source, etc. Also it has low
popcon value.

> Arno, Laurent: are either or both of you willing to take over the package as
> maintainers?  Should we close this bug report directly, or should it be
> reassigned to wnpp as a RFA: or O: bug?
 Arno and Laurent have precedence, otherwise I can step-up as a
co-maintainer for Peter or just take over it.
On the other hand, why it's important to keep this package?

Regards,
Laszlo/GCS



Information forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#671364; Package src:dma. (Tue, 25 Jun 2013 07:51:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <arno@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter Pentchev <roam@ringlet.net>. (Tue, 25 Jun 2013 07:51:22 GMT) Full text and rfc822 format available.

Message #114 received at 671364@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: "László Böszörményi (GCS)" <gcs@debian.org>
Cc: Steve Langasek <vorlon@debian.org>, Peter Pentchev <roam@ringlet.net>, 671364@bugs.debian.org, Raphael Hertzog <hertzog@debian.org>, Russ Allbery <rra@debian.org>, Laurent Bigonville <bigon@debian.org>, Simon Schubert <2@0x2c.org>
Subject: Re: Bug#671364: Please decide on dma maintenance
Date: Tue, 25 Jun 2013 09:38:57 +0200
[Message part 1 (text/plain, inline)]
On 25.06.2013 05:57, László Böszörményi (GCS) wrote:
>  Is there any newer version of dma? For me dma seems to be abandoned
> by upstream; at least last release was three years ago. The package
> has 32 patches applied over the original source, etc. Also it has low
> popcon value.

Well. That's part of the problem. The version you refer to is Peter's,
not upstream's [1], with the latter having newer releases until very
recently.

>> Arno, Laurent: are either or both of you willing to take over the package as
>> maintainers?  Should we close this bug report directly, or should it be
>> reassigned to wnpp as a RFA: or O: bug?
>  Arno and Laurent have precedence, otherwise I can step-up as a
> co-maintainer for Peter or just take over it.

If someone wants to take the package I am happy to let others step in.
Having that said, I'd take the package together with bigon and bring it
in shape based on upstream's code base - and in cooperation with Simon,
the upstream author.

> On the other hand, why it's important to keep this package?

People - including me - use it.



Also thanks to the members of the tech-ctte to find the right words even
without formal vote.

[1] https://github.com/corecode/dma/tags

-- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Arno Töll <arno@debian.org>:
You have taken responsibility. (Sun, 07 Jul 2013 11:21:29 GMT) Full text and rfc822 format available.

Notification sent to Dawid Wróbel <me@dawidwrobel.com>:
Bug acknowledged by developer. (Sun, 07 Jul 2013 11:21:29 GMT) Full text and rfc822 format available.

Message #119 received at 671364-close@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: 671364-close@bugs.debian.org
Subject: Bug#671364: fixed in dma 0.9-1
Date: Sun, 07 Jul 2013 11:17:59 +0000
Source: dma
Source-Version: 0.9-1

We believe that the bug you reported is fixed in the latest version of
dma, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 671364@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arno Töll <arno@debian.org> (supplier of updated dma package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 07 Jul 2013 12:58:36 +0200
Source: dma
Binary: dma
Architecture: source amd64
Version: 0.9-1
Distribution: unstable
Urgency: low
Maintainer: Arno Töll <arno@debian.org>
Changed-By: Arno Töll <arno@debian.org>
Description: 
 dma        - lightweight mail transport agent
Closes: 671364 677368 689363 697871
Changes: 
 dma (0.9-1) unstable; urgency=low
 .
   * New upstream release (Closes: #671364, LP: #994003)
     - Adopt package with Peter's approval. Thank you for all your previous
       work of the years.
     - New maintainers.
 .
   [ Arno Töll ]
   * Update patches:
       - 03-debian-locations.patch: refreshed, add Debian's default for
         MAILNAME
       - 04-debian-setgid.patch: applied upstream
       - 09-typos.patch: applied upstream
       - 10-liblockfile.patch: dropped. This removes a patch rejected by
         upstream. Most users should not notice any change, however you cannot
         safely lock your mailbox anymore if you use it on a NFS file system
         without lockd running. Thus, also drop the liblockfile build
         dependency.
       - 11-double-bounce.patch: drop. See below.
       - 13-hardening.patch: applied upstream
       - 17-mailname.patch: drop. Upstream's MAILNAME directive supersets this
         behavior. Note that this might require a configuration change to
         existing installations
       - 20-parse-recipient.patch: applied upstream
       - 23-dirent-d_type.patch: drop. The code does not use d_type anymore
       - 24-random-message-id: applied upstream
       - 25-unsupported-starttls.patch: applied upstream
       - 27-int-size.patch: applied upstream
       - 28-valid-recipient.patch: applied upstream
       - 29-double-free.patch: applied upstream
       - 30-ldflags.patch: applied upstream
       - 31-sigalrm-backoff.patch: applied upstream (but using SIGHUP instead)
       - 32-comment-uncomment.patch: applied upstream
       - 33-opportunistic-tls.patch: applied upstream
       - 34-manpage-defaults.patch: applied upstream
       - 35-delivery-retry.patch: applied upstream
       - 36-sa_nocldwait.patc: drop. The code does not use SA_NOCLDWAIT anymore
       - 37-gnu-hurd.patch: applied upstream
       - 38-unresolvable-mx.patch: not needed anymore
       - 39-fix-add-host.patch: applied upstream
       - 40-smtp-banner.patch: applied upstream
       - 41-cppcheck.patch: applied upstream
       - 42-fix-ftbfs-binutils-gold.patch: applied upstream
       - 43-const.patch: applied upstream
       - 44-newline.patch: not needed anymore
       - 45-received.patch: applied upstream
       - 46-smtp-newline.patch: dropped, not needed anymore
   * Use /etc/mailname by default for fresh installs unless changed through
     debconf.
   * Drop the Debian specific dbounce-simple-safecat behavior entirely. This
     might still be useful for some users, but we prefer to keep in line with
     upstream who prefers to keep this behavior out of their sources. Moreover,
     also drop the safecat recommendation which is therefore not needed
     anymore.
   * Handle newaliases command when invoked through dma.
   * Merge patches from a upstream snapshot:
     - 0001-set_from-always-fully-qualify-envelope-from.patch (Closes: #697871)
     - 0002-aliases-log-errors-to-syslog-and-abort.patch
     - 0003-newaliases-provide-command-alias.patch
 .
 .
   [ Laurent Bigonville ]
   * Add debian/gbp.conf file
   * debian/watch: Update watch file to point to github
   * debian/control:
     - Drop DM-Upload-Allowed field: Obsolete.
     - Bump Standards-Version to 3.9.4 (no further changes)
     - Adjust VCS fields to point to collab-maint
     - Update Homepage field to point to upstream github
     - Drop hardening-includes build-dependency, not needed with debhelper 9
     - [AT] Drop dpkg-dev (build-,) pre-dependency as the required version is
       available in oldstable by now.
   * debian/rules:
     - Drastically simplify the rules file
     - Set LIBEXEC to /usr/lib/dma
     - Install spool directory with setgid bit set
   * Drop dma-migrate package, this package is not needed anymore
     (Closes: #677368, #689363)
   * Drop debian/source/options, use default compression options
   * debian/dma.maintscript: Remove /etc/dma/virtusertable, this configuration
     file is not used anymore
   * debian/rules, debian/dma.lintian-overrides: Install dma-mbox-create with
     setuid bit set
Checksums-Sha1: 
 898c4540c81435500b7ded768700cee6aae93da8 1884 dma_0.9-1.dsc
 dc82067b4c498c6e89b6973b625da551f4639ca9 45598 dma_0.9.orig.tar.gz
 e7a881451f6239da06b88762c444a61e39758b4f 24147 dma_0.9-1.debian.tar.gz
 7513e46251cf5a1aee99e4a4f38c16af43150cab 53518 dma_0.9-1_amd64.deb
Checksums-Sha256: 
 38192d8a91ab5eb29097b202fea222c25632cd6a33c476845929adb872df4190 1884 dma_0.9-1.dsc
 69a46b5a05b0be13ee547d675eed35010fe6c6aef10335e099de33a80983c262 45598 dma_0.9.orig.tar.gz
 8a8ba8b58fb1a2bafa731eaea526f1f4630ede9965b95a31649125292afae164 24147 dma_0.9-1.debian.tar.gz
 354d5f502bd709e45258019128c0cf845115bd066990678290824a95a91f3267 53518 dma_0.9-1_amd64.deb
Files: 
 945e952feed7241ec901b810e4def106 1884 mail optional dma_0.9-1.dsc
 47767b80169c70f6289cf57a1fb591f4 45598 mail optional dma_0.9.orig.tar.gz
 e4024bc176cefa3e46488587a67632fc 24147 mail optional dma_0.9-1.debian.tar.gz
 6b36fdb0b7333a48fe9ee08ca718dd64 53518 mail optional dma_0.9-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJR2UrtAAoJEMcrUe6dgPNtJUMP/RHydCl23And+7Y9trsRPqms
duNmSdOG1Xq3RZJysDJe3pfgJ8JH74E2mO+0DyGEeYbSVBQhsge9YDoEGQS1w/gl
or31WE5xm8njPjJCr2p4pK5kEwUERzZjr2EMie9Bsgk8tqlAnf0v7E8NtIkdpbCY
VOputxbBt/qChFrao2SXugXPiIfqEGvu036w3aB19vWhosZvPEGVoVCwe1r5yUYC
iTUST/uhjWWho5AfCG7efFAXDCEa1DrgNsYsOr6eji84Ae87ZYDJ+qyk83+Xtl1F
/nZ86E6GcrKMYXdEhH7nGxlDCPzqSTlT6QBkQF6Ho5Ja1YJojA9fh0qfOlxzPDt0
GYTd9zy+A6wIS6PG0OHzAKLOfiXVn97kORdoBOtkj0QXjgIS1ZoQC9XO1QP+Tomm
P3tmTNrfOgYLOGvzG64bD83aUWSi239EJcqBQSN/ydVYrJZnUGTVCzuUrraRCpVy
HpFHx8sSFB0SofXD1L/B66P8Wj0cOMRT2WPMLZeMdT2ApYjL5DbipWFsETIaBDcj
RfEEli1WFdqRtcJuTSAGZKKDBxMPCTN244au31BjoGa2d5Xg6PLtr4uQa41HUG44
tfW7AJUyThwe+0BiMkVYMNZIWiA/wWWgDSmeKU8ovEdbRFWcQD4aJK7Y+nNLF3y9
tmR135S2z5vN306gnbot
=QeaT
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Aug 2013 07:31:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:23:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.